Update a monitor
Update a monitor
Change the query, threshold, schedule or routing.
Takes the same body as create. Only the fields you send are changed.
PUT
/v1/monitors/{id}Path parameters
idstringrequiredmon_….
Body parameters
thresholdnumberNew threshold.
notifiersarrayReplaces the routing list.
muted_untildatetimeSuppress notifications until this time. The monitor still evaluates.
curl -X PUT https://api.logstreem.com/v1/monitors/{id} \
-H "Authorization: Bearer $LOGSTREEM_TOKEN" \
-H "Content-Type: application/json" \
-d '{"threshold":40}'Responses
200OK
{
"object": "monitor",
"id": "mon_4a81e0c3f6a5b2d1e0c9",
"name": "Checkout 5xx rate",
"type": "threshold",
"dataset": "api-gateway-prod",
"apl": "['api-gateway-prod']\n| where status >= 500\n| summarize count() by bin(_time, 5m)",
"operator": "above",
"threshold": 40,
"interval_minutes": 5,
"state": "ok",
"notifiers": ["ntf_1d7e4b3a09c2f856d4a1"],
"created_at": "2026-08-02T09:41:00.000Z"
}401Unauthorized
{
"error": {
"type": "authentication_error",
"code": "missing_token",
"message": "No API token provided.",
"doc_url": "https://logstreem.com/docs/errors#missing_token",
"request_id": "req_9f3c2a7b41de08c5b2e6"
}
}Try itsandbox